Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base

Public Class DisableValidationPopUpWindow
    Inherits DevExpress.ExpressApp.Validation.Win.ValidationResultsShowingController
    Public Sub New()
        MyBase.New()
        'This call is required by the Component Designer.
        InitializeComponent()
        RegisterActions(components)
    End Sub
    Protected Overrides Sub OnActivated()
        MyBase.OnActivated() '--- Ha ki van kommentelve nem jelenik meg a validáló ablak--------

        'AddHandler (CType(Application, DevExpress.ExpressApp.Win.WinApplication)).CustomHandleException, AddressOf ViewController1_CustomHandleException
    End Sub
    Private Sub ViewController1_CustomHandleException(ByVal sender As Object, ByVal e As DevExpress.ExpressApp.Win.CustomHandleExceptionEventArgs)
        e.Handled = True
    End Sub
    Protected Overrides Sub OnDeactivated()
        MyBase.OnDeactivated()
        'RemoveHandler (CType(Application, DevExpress.ExpressApp.Win.WinApplication)).CustomHandleException, AddressOf ViewController1_CustomHandleException
    End Sub
End Class
